import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *
 * 
 * @author Benjamin Holzschuh
 * @version 12-6-2013
 */
public class DestructionParticle extends Actor
{
    public int rotation = 0;
    public int reverseTimer = 25;
    
    public DestructionParticle()
    {
        rotation = Greenfoot.getRandomNumber(360);
        setRotation(rotation);
    }
    
    /**
     * Act - do whatever the DestrucionParticle wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        
        if(reverseTimer >= 0)
        move(2);
        else if(reverseTimer < 0)
        move(-2);
        reverseTimer -= 1;
        
        getImage().rotate(23);
        
        if(reverseTimer < -25)
        getWorld().removeObject(this);
    }    
}
