import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *
 * 
 * @author Benjamin Holzschuh
 * @version 12-6-2013
 */
public class Pentagon extends Enemy
{
    private int sideMove = 0;
    private int moveTimer = 6;
    private int moveCount = 0;
    public boolean shouldExist = true;
    public int currentX = 0;
    public int currentY = 0;
    public int shootTimer = 220;
    /**
     * Act - do whatever the Pentagon wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        explode();
        if (shouldExist == true)
        {
            movement();
            edgeBlock();
            collision();
            shoot();
        }
    } 
    
    public void explode()
    {
        Actor bullet = getOneIntersectingObject(Projectile.class);
        if(bullet != null || getY() >= getWorld().getHeight()- 8)
        {
            shouldExist = false;
            getWorld().removeObject(bullet);
            GreenExplosion explosion = new GreenExplosion();
            GreenExplosion explosion2 = new GreenExplosion();
            GreenExplosion explosion3 = new GreenExplosion();
            GreenExplosion explosion4 = new GreenExplosion();
            GreenExplosion explosion5 = new GreenExplosion();
            GreenExplosion explosion6 = new GreenExplosion();
            getWorld().addObject(explosion,getX(),getY());
            getWorld().addObject(explosion2,getX(),getY());
            getWorld().addObject(explosion3,getX(),getY());
            getWorld().addObject(explosion4,getX(),getY());
            getWorld().addObject(explosion5,getX(),getY());
            getWorld().addObject(explosion6,getX(),getY());
            getWorld().removeObject(this);
        }
    }
    
    public void shoot()
    {
        shootTimer -= 1;
        if (shootTimer == 0)
        {
            EnemyProjectile GProj = new EnemyProjectile();
            getWorld().addObject(GProj,getX(),getY()+8);
            shootTimer = 220;
        }
    }
}
