import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *
 * 
 * @author Benjamin Holzschuh
 * @version 12-6-2013
 */
public class World1 extends World
{
    //These two variables are used for the enemy spawn mechanics
    public int spawnTimer = 65;
    public int spawnChoice = 0;
    /**
     * Constructor for objects of class World1.
     * 
     */
    public World1()
    {    
        
        super(500, 600, 1); 

        prepare();
    }

    
    private void prepare()
    {
        //This part was done using the Save the World command
        Ship ship = new Ship();
        addObject(ship, 260, 536);
        
    }
    
    public void act()
    {
        //Counts down the timer once per tick and activates an enemy spawn when it reaches zero
        spawnTimer -= 1;
        if (spawnTimer == 0)
        {
            Enemy enemy = new Enemy();
            Pentagon pentagon = new Pentagon();
            //The equivalent of flipping a coin to choose which enemy spawns
            spawnChoice = Greenfoot.getRandomNumber(2);
            if (spawnChoice == 0)
            addObject(enemy,Greenfoot.getRandomNumber(460) + 15, 10);
            else if (spawnChoice == 1)
            addObject(pentagon,Greenfoot.getRandomNumber(460) + 15, 10);
            //Resets the timer so it can countdown again
            spawnTimer = 65;
        }
    }
}