import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 *
 * 
 * @author Benjamin Holzschuh
 * @version 12-6-2013
 */
public class Enemy extends Actor
{
    //Variables to produce the random movement, a check to remove random problems, and two variables to do collison detection
    private int sideMove = 0;
    private int moveTimer = 6;
    private int moveCount = 0;
    public boolean shouldExist = true;
    public int currentX = 0;
    public int currentY = 0;
    /**
     * Act - do whatever the Enemy wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        explode();
        if (shouldExist == true)
        {
            movement();
            edgeBlock();
            currentX = getX();
            currentY = getY();
            collision();
        }
    }    
    
    public void explode()
    {
        Actor bullet = getOneIntersectingObject(Projectile.class);
        if(bullet != null || getY() >= getWorld().getHeight()- 8)
        {
            shouldExist = false;
            getWorld().removeObject(bullet);
            Explosion explosion = new Explosion();
            Explosion explosion2 = new Explosion();
            Explosion explosion3 = new Explosion();
            Explosion explosion4 = new Explosion();
            Explosion explosion5 = new Explosion();
            Explosion explosion6 = new Explosion();
            getWorld().addObject(explosion,getX(),getY());
            getWorld().addObject(explosion2,getX(),getY());
            getWorld().addObject(explosion3,getX(),getY());
            getWorld().addObject(explosion4,getX(),getY());
            getWorld().addObject(explosion5,getX(),getY());
            getWorld().addObject(explosion6,getX(),getY());
            getWorld().removeObject(this);
        }
    }
    
    public void movement()
    {
        moveTimer -= 1;
        if (moveTimer == 0)
        {
            setLocation(getX(),getY() +8);
            moveTimer = 25;
            moveCount += 1;
        }
        
        if (moveCount == 6)
        {
            sideMove = Greenfoot.getRandomNumber(2);
            if (sideMove == 0)
            {
                setLocation(getX() +8,getY());
                moveCount = 0;
            }
            else if (sideMove == 1)
            {
                setLocation(getX() -8,getY());
                moveCount = 0;
            }
            
        }
        
    }
    
    public void edgeBlock()
    {
        if(getX()-getImage().getWidth()/2 <= 0)
        setLocation(getImage().getWidth()/2,getY());
        else if(getX()+getImage().getWidth()/2 >= getWorld().getWidth())
        setLocation(getWorld().getWidth()-getImage().getWidth()/2,getY());
    }
    
    public void collision()
    {
        Enemy enemy =(Enemy) getOneIntersectingObject(Enemy.class);
        if (enemy != null)
        {
            if(enemy.currentX >= getX())
            {
                setLocation(getX()-2,getY());
            }
            if(enemy.currentX <= getX())
            {
                setLocation(getX()+2,getY());
            }
            if(enemy.currentY >= getY())
            {
                setLocation(getX(),getY()-2);
            }
            if(enemy.currentY <= getY())
            {
                setLocation(getX(),getY()+2);
            }
        }
        Pentagon pentagon =(Pentagon) getOneIntersectingObject(Pentagon.class);
        if (pentagon != null)
        {
            if(pentagon.currentX >= getX())
            {
                setLocation(getX()+2,getY());
            }
            if(pentagon.currentX <= getX())
            {
                setLocation(getX()-2,getY());
            }
            if(pentagon.currentY >= getY())
             {
                setLocation(getX(),getY()+2);
             }
            if(pentagon.currentY <= getY())
             {
                setLocation(getX(),getY()-2);
             }
            
        }
    }
}
